package com.test.chart;

import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;
import org.primefaces.model.chart.CartesianChartModel;
import org.primefaces.model.chart.ChartSeries;

/**
 * @author Heidarzadeh
 */
@Named
@RequestScoped
public class ChartController {

    static final Logger log = Logger.getLogger(ChartController.class.getName());

    @PostConstruct
    private void init() {
    }

    private ChartSeries getData(String label) {
        ChartSeries data = new ChartSeries();
        data.setLabel(label);
        for (int i = 1; i <= 20; i++) {
            data.set(i, Math.random() * 1000);
        }
        if (data.getData().isEmpty()) {
            data.set(0, 0);
        }
        log.log(Level.INFO, "Chart loaded for :{0}", label);
        return data;
    }

    public CartesianChartModel getModel() {
        CartesianChartModel chartModel = new CartesianChartModel();
        chartModel.addSeries(getData("Data 1"));
        chartModel.addSeries(getData("Data 2"));
        chartModel.addSeries(getData("Data 3"));
        return chartModel;
    }
}
